mergCanBus

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Functions Typedefs
Public Member Functions | List of all members
MergNodeIdentification Class Reference

`#include <MergNodeIdentification.h>`

## Public Member Functions
| MergNodeIdentification ()
| Constructor. More...
virtual | ~MergNodeIdentification ()
| Destructor. More...
void | setCanID (byte val)
| Set the can id for this node. More...
byte | getCanID ()
| Get the can id for this node. More...
void | setNodeNumber (unsigned int val)
| Set the node number for this node. More...
unsigned int | getNodeNumber ()
| Get the node number for this node. More...
void | setNodeName (char const *nodeName, int csize)
| Set the node name. More...
const char * | getNodeName ()
| Retrieve the node name. More...
void | setManufacturerId (byte val)
| Set the manufacturer ID. More...
byte | getManufacturerId ()
| GSet the manufacturer ID. More...
void | setModuleId (byte val)
| Set the module ID. More...
byte | getModuleId ()
| Get the module ID. More...
void | setFlags (byte val)
| Set the module flags. More...
byte | getFlags ()
| Get the module flags. More...
void | setMinCodeVersion (byte val)
| Set the min Code Version. More...
byte | getMinCodeVersion ()
| Get the min Code Version. More...
void | setMaxCodeVersion (byte val)
| Set the max Code Version. More...
byte | getMaxCodeVersion ()
| Get the max Code Version. More...
void | setSuportedEvents (byte val)
| Set the number of supported events. More...
byte | getSuportedEvents ()
| Get the number of supported events. More...
void | setSuportedEventsVariables (byte val)
| Set the number of supported events variables. More...
byte | getSuportedEventsVariables ()
| Get the number of supported events variables. More...
void | setSuportedNodeVariables (byte val)
| Set the number of supported node variables. More...
byte | getSuportedNodeVariables ()
| Get the number of supported node variables. More...
byte | getParameter (byte inx)
| Get one of the defined parameters. More...
byte | getNumberOfParameters ()
| Get the number of node parameters. More...
void | setProducerNode (bool val)
| Set this module as a producer. More...
bool | isProducerNode ()
| Indicates if the node is a producer. More...
void | setConsumerNode (bool val)
| Set this module as a consumer. More...
bool | isConsumerNode ()
| Indicates if the node is a consumer. More...
void | setSlimMode ()
| Set this module to SlimMode.
void | setFlimMode ()
| Set this module to FlimMode.
bool | isSlimMode ()
| Indicate if the mode is in SlimMode.
bool | isFlimMode ()
| Indicate if the mode is in FlimMode.
void | setSuportBootLoading (bool val)
| Indicate if the mode supports boot loading. This current version by default does not support boot loading.
bool | suportBootLoading ()
| Indicate if the mode supports boot loading. This current version by default does not support boot loading.

## Detailed Description

Class that saves the node parameters. Name, Manufactorer,Module, Can id, Node number, device number, Code Version, Supported events and variables. It is set from user information and from EEPROM: can id, node number, device number.

## Constructor & Destructor Documentation

MergNodeIdentification::MergNodeIdentification | ( |  | ) |

Constructor.

Set the internal variables.

MergNodeIdentification::~MergNodeIdentification | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

byte MergNodeIdentification::getCanID | ( |  | ) |
| inline

Get the can id for this node.

Returns
  The can id.

byte MergNodeIdentification::getFlags | ( |  | ) |
| inline

Get the module flags.

Parameters

  val | The module flags.

byte MergNodeIdentification::getManufacturerId | ( |  | ) |
| inline

GSet the manufacturer ID.

Returns
  The manufacuter id.

byte MergNodeIdentification::getMaxCodeVersion | ( |  | ) |
| inline

Get the max Code Version.

Returns
  The max code version.

byte MergNodeIdentification::getMinCodeVersion | ( |  | ) |
| inline

Get the min Code Version.

Returns
  The min code version.

byte MergNodeIdentification::getModuleId | ( |  | ) |
| inline

Get the module ID.

Returns
  The module id.

const char * MergNodeIdentification::getNodeName | ( |  | ) |

Retrieve the node name.

Returns
  Pointer to the node name.

unsigned int MergNodeIdentification::getNodeNumber | ( |  | ) |
| inline

Get the node number for this node.

Returns
  The node number.

byte MergNodeIdentification::getNumberOfParameters | ( |  | ) |
| inline

Get the number of node parameters.

Returns
  Currently 8.

byte MergNodeIdentification::getParameter | ( | byte | idx | ) |

Get one of the defined parameters.

Parameters

  idx | Index of the parameter: 0 to 8

Returns
  Return either of the parameters:
  - Manufacturer Id
  - Max Code Version
  - Min Code Version
  - Module Id
  - Number of Supported Events
  - Number of Supported Event Variables
  - Number of Supported Node Variables
  - Node Flags
  - 0 by default

byte MergNodeIdentification::getSuportedEvents | ( |  | ) |
| inline

Get the number of supported events.

Returns
  The number of events.

byte MergNodeIdentification::getSuportedEventsVariables | ( |  | ) |
| inline

Get the number of supported events variables.

Returns
  The number of events variables.

byte MergNodeIdentification::getSuportedNodeVariables | ( |  | ) |
| inline

Get the number of supported node variables.

Returns
  The number of events variables.

bool MergNodeIdentification::isConsumerNode | ( |  | ) |

Indicates if the node is a consumer.

Returns
  True for consumer. False not consumer.

bool MergNodeIdentification::isProducerNode | ( |  | ) |

Indicates if the node is a producer.

Returns
  True for producer. False not producer.

void MergNodeIdentification::setCanID | ( | byte | val | ) |
| inline

Set the can id for this node.

Parameters

  val | The can id.

void MergNodeIdentification::setConsumerNode | ( | bool | val | ) |

Set this module as a consumer.

Parameters

  val | True for consumer. False not consumer.

void MergNodeIdentification::setFlags | ( | byte | val | ) |
| inline

Set the module flags.

Parameters

  val | The module flags.

void MergNodeIdentification::setManufacturerId | ( | byte | val | ) |
| inline

Set the manufacturer ID.

Parameters

  val | The manufacuter id.

void MergNodeIdentification::setMaxCodeVersion | ( | byte | val | ) |
| inline

Set the max Code Version.

Parameters

  val | The max code version.

void MergNodeIdentification::setMinCodeVersion | ( | byte | val | ) |
| inline

Set the min Code Version.

Parameters

  val | The min code version.

void MergNodeIdentification::setModuleId | ( | byte | val | ) |
| inline

Set the module ID.

Parameters

  val | The module id.

void MergNodeIdentification::setNodeName | ( | char const * | nn,
|  | int | csize
| ) |  |

Set the node name.

Parameters

  nn | Pointer to the node name.
  csize | Size of the node name limited by NAME_SIZE.

void MergNodeIdentification::setNodeNumber | ( | unsigned int | val | ) |
| inline

Set the node number for this node.

Parameters

  val | The node number.

void MergNodeIdentification::setProducerNode | ( | bool | val | ) |

Set this module as a producer.

Parameters

  val | True for producer. False not producer.

void MergNodeIdentification::setSuportedEvents | ( | byte | val | ) |
| inline

Set the number of supported events.

Parameters

  val | The number of events.

void MergNodeIdentification::setSuportedEventsVariables | ( | byte | val | ) |
| inline

Set the number of supported events variables.

Parameters

  val | The number of events variables.

void MergNodeIdentification::setSuportedNodeVariables | ( | byte | val | ) |
| inline

Set the number of supported node variables.

Parameters

  val | The number of events variables.

The documentation for this class was generated from the following files:

- MergNodeIdentification.h
- MergNodeIdentification.cpp